Uploaded image for project: 'Qt for Python'
  1. Qt for Python
  2. PYSIDE-932

SystemError starting at 5.12.1

    XMLWordPrintable

    Details

    • Platform/s:
      Windows
    • Commits:
      723aea37263571865edc9e0299fedbe266a47223 (pyside/pyside-setup/5.12)

      Description

      When running with shiboken2==5.12.0 and PySide2==5.12.0 this error does not occur, it only happens with shiboken2==5.12.1 and PySide2==5.12.1; all other modules and python itself kept the same. It also only happens when compiled to exe using cx_Freeze. Again, works fine on .0, but not on .1

      The crash occurs during start up of the application.

      Log:

      Traceback (most recent call last):
        File "pyscript", line 23, in bootstrap
      FileNotFoundError: [Errno 2] No such file or directory: 'D:\\support\\signature\\loader.py'
      AttributeError: module 'signature_loader' has no attribute 'pyside_type_init'
      SystemError: could not initialize part 2The above exception was the direct cause of the following exception:Traceback (most recent call last):
        File "C:\Program Files\Python36\lib\site-packages\cx_Freeze\initscripts\__startup__.py", line 14, in run
          module.run()
        File "C:\Program Files\Python36\lib\site-packages\cx_Freeze\initscripts\Console.py", line 26, in run
          exec(code, m.__dict__)
        File "main.py", line 20, in <module>
        File "<frozen importlib._bootstrap>", line 971, in _find_and_load
        File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
        File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
        File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
        File ".\__init__.py", line 1, in <module>
          import calendar
        File "<frozen importlib._bootstrap>", line 971, in _find_and_load
        File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
        File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
        File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
        File "C:\Program Files\Python36\lib\calendar.py", line 10, in <module>
          import locale as _locale
        File "<frozen importlib._bootstrap>", line 971, in _find_and_load
        File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
        File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
        File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
        File "C:\Program Files\Python36\lib\locale.py", line 108, in <module>
          @functools.wraps(_localeconv)
        File "C:\Program Files\Python36\lib\functools.py", line 61, in update_wrapper
          value = getattr(wrapped, attr)
      SystemError: <method-wrapper '__get__' of getset_descriptor object at 0x000002974354E708> returned a result with an error set
      

        Attachments

          Issue Links

          For Gerrit Dashboard: PYSIDE-932
          # Subject Branch Project Status CR V

            Activity

              People

              • Assignee:
                ctismer Christian Tismer
                Reporter:
                berserker berserker
              • Votes:
                2 Vote for this issue
                Watchers:
                9 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes